;; Copyright 2008, 2009, 2013 Kevin Ryde.

;; This file is part of miscbits-el.
;;
;; miscbits-el is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; miscbits-el is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
;; Public License for more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with miscbits-el; see the file COPYING.  Failing that, go to
;; <http://www.gnu.org/licenses/>.


(progn
  (add-to-list 'load-path (expand-file-name ".."))
  (autoload 'texinfo-warn-enable "texinfo-warn")
  (add-hook 'texinfo-mode-hook 'texinfo-warn-enable)

  (find-file "d-texinfo-warn.texi")
  )

(customize-variable 'texinfo-mode-hook)


;;-----------------
;; compile

(progn
  (add-to-list 'load-path (expand-file-name "."))
  (require 'my-byte-compile)
  (my-byte-compile))
(progn
  (add-to-list 'load-path (expand-file-name "."))
  (require 'my-byte-compile)
  (my-show-autoloads))

;;-----------------------------------------------------------------------------

(let ((elfile (expand-file-name "~/lisp/texinfo-warn.el"))
      (tempfile "/tmp/x.el")
      (print-level nil))
  (require 'autoload)
  (find-file tempfile)
  (erase-buffer)
  (generate-file-autoloads elfile)
  (save-buffer)
  (byte-compile-file tempfile)
  (delete-file (concat tempfile "c"))
  (delete-file tempfile))

;;----------------
(progn
  (add-to-list 'load-path (expand-file-name ".."))
  (autoload 'texinfo-warn-enable "texinfo-warn")
  (texinfo-warn-enable)
  )

(texinfo-warn-disable)
(texinfo-warn-enable)


@:
fjdsfjdskfjsdk

 	xyz		
fjsk	xyzfsd @:
@:
@:
fdsfsdf@
@:
da
(@pxref{Fooing,,, foo, Foo Manual})
